GET
View a cash register
Company space For: Manager · Permission: cash_registers.retrieve Part of Set up cash registers.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

cashRegister
string
required

Identifier of the cash register (27-character KSUID).

Query Parameters

response
enum<string>
default:resource

Response mode. Default resource; none answers 204 No Content.

Available options:
resource
fields
string

Comma-separated JSON keys of the root resource (id is always rendered). Available: id, name, is_seller, auto_print_invoice, linear_pos, is_locked, session_status, cash_account_id, last_closed_at, created_at, updated_at, balance.

include
string

Comma-separated include paths, each optionally followed by its fields in parentheses: units(id,sku),units.uomUnit(id,name). Max depth 6, max 40 paths. Available: cashiers.

Response

200 - application/json

Resource.

id

Identifier of the cash register (27-character KSUID).

name

Name of the register, unique within the company.

is_seller
boolean

True when the cashiers of this register are also sellers who can be credited with sales.

auto_print_invoice
boolean

True when the point of sale prints the invoice automatically after a sale.

linear_pos
boolean

True when the register uses the linear point-of-sale layout; it is copied to the register's seller records.

is_locked
boolean

True when the register is locked and cannot be opened or edited.

session_status

Whether a register session is running: open or closed.

cash_account_id

Identifier of the cash account created for this register.

balance

Current balance of the register's ledger account as a decimal string in major units of the company currency (minor units divided by 10 to the power of the ledger exponent); null when the account is not found.

last_closed_at

Closing time of the most recently opened register session of this register (ISO 8601); null when no register session was ever opened or while that session is still open. Omitted when the register session was not loaded (for example in the public available list).

created_at

Date and time the record was created (ISO 8601, UTC).

updated_at

Date and time the record was last changed (ISO 8601, UTC).

cashiers
array

Cashiers assigned to this register, as summaries with their id.